Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class UnsupervisedHebbianLearning

    java.lang.Object
      org.neuroph.core.learning.LearningRule
          org.neuroph.core.learning.IterativeLearning
              org.neuroph.core.learning.UnsupervisedLearning
                  org.neuroph.nnet.learning.UnsupervisedHebbianLearning

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AntiHebbianLearning, BinaryHebbianLearning, GeneralizedHebbianLearning, InstarLearning, OjaLearning, OutstarLearning

    public class UnsupervisedHebbianLearning

extends UnsupervisedLearning

Unsupervised hebbian learning rule.

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`listeners, neuralNetwork`

Constructor Summary
`UnsupervisedHebbianLearning()` Creates new instance of UnsupervisedHebbianLearning algorithm

Method Summary
`void` | `doLearningEpoch(DataSet trainingSet)` This method does one learning epoch for the unsupervised learning rules.
`protected void` | `updateNetworkWeights()` Adjusts weights for the output neurons
`protected void` | `updateNeuronWeights(Neuron neuron)` This method implements weights update procedure for the single neuron

Methods inherited from class org.neuroph.core.learning.UnsupervisedLearning
`learnPattern`

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`afterEpoch, beforeEpoch, doOneLearningIteration, getCurrentIteration, getLearningRate, isPausedLearning, learn, learn, onStart, pause, resume, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`addListener, fireLearningEvent, getNeuralNetwork, getTrainingSet, isStopped, removeListener, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnsupervisedHebbianLearning

    public UnsupervisedHebbianLearning()

  Creates new instance of UnsupervisedHebbianLearning algorithm

Method Detail

### doLearningEpoch

    public void doLearningEpoch(DataSet trainingSet)

  This method does one learning epoch for the unsupervised learning rules. It iterates through the training set and trains network weights for each element. Stops learning after one epoch.

  Overrides:
    `doLearningEpoch` in class `UnsupervisedLearning`
  Parameters:
    `trainingSet` - training set for training network

### updateNetworkWeights

    protected void updateNetworkWeights()

  Adjusts weights for the output neurons

  Specified by:
    `updateNetworkWeights` in class `UnsupervisedLearning`

### updateNeuronWeights

    protected void updateNeuronWeights(Neuron neuron)

  This method implements weights update procedure for the single neuron

  Parameters:
    `neuron` - neuron to update weights

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.